org.restlet.engine.application

## Class MetadataExtension

- java.lang.Object
- - org.restlet.engine.application.MetadataExtension

    public class MetadataExtension
    extends java.lang.Object

Associates an extension name and a metadata.

Author:
  Alex Milowski (alexml@milowski.org), Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`MetadataExtension(java.lang.String name, Metadata metadata)` Constructor.

### Method Summary

Methods
`CharacterSet` `getCharacterSet()` Returns the character set.
`Encoding` `getEncoding()` Returns the encoding.
`Language` `getLanguage()` Returns the language.
`MediaType` `getMediaType()` Returns the media type.
`Metadata` `getMetadata()` Returns the metadata.
`java.lang.String` `getName()` Returns the extension name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataExtension

    public MetadataExtension(java.lang.String name,
                     Metadata metadata)

Constructor.

Parameters:
  `name` - The extension name.
  `metadata` - The metadata.

### Method Detail

#### getCharacterSet

    public CharacterSet getCharacterSet()

Returns the character set.

Returns:
  the character set.

#### getEncoding

    public Encoding getEncoding()

Returns the encoding.

Returns:
  the encoding.

#### getLanguage

    public Language getLanguage()

Returns the language.

Returns:
  the language.

#### getMediaType

    public MediaType getMediaType()

Returns the media type.

Returns:
  the media type.

#### getMetadata

    public Metadata getMetadata()

Returns the metadata.

Returns:
  the metadata.

#### getName

    public java.lang.String getName()

Returns the extension name.

Returns:
  The extension name.